package com.shuangyubang.mofun_flutter_plugin_video

import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.PluginRegistry.Registrar


class MofunFlutterPluginVideoPlugin {
    companion object {
        @JvmStatic
        fun registerWith(registrar: Registrar) {
            val channel = MethodChannel(registrar.messenger(), "mofun_flutter_plugin_video")
            channel.setMethodCallHandler(TestPlugin())

            registrar.platformViewRegistry()
                    .registerViewFactory(Channel_Mofun_Video_Info,
                            MofunVideoViewFactory(registrar.messenger()))
        }
    }
}

